/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Regional Extent
 */
public enum EnumCV_RegionalExtent 
{
	// Regional Extent - CID 3461
	SINGLE_LAD_REGION_IN_RAO_PROJECTION_122466("122466"),
	SINGLE_RCA_REGION_IN_RAO_PROJECTION_122467("122467"),
	MULTIPLE_LAD_REGION_IN_RAO_PROJECTION_122468("122468"),
	MULTIPLE_RCA_REGION_IN_RAO_PROJECTION_122469("122469"),
	LAD_REGION_IN_LAO_PROJECTION_122470("122470"),
	RCA_REGION_IN_LAO_PROJECTION_122471("122471"),
	CFX_REGION_IN_LAO_PROJECTION_122472("122472");
	

	private String value;
	
	EnumCV_RegionalExtent(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
